FAILLOG(8)

NOM
faillog - Examiner le fichier faillog, et configurer les limites d'échecs de connexion

SYNOPSIS

faillog [options]

DESCRIPTION

faillog affiche le contenu du journal des échecs de connexion (/var/log/faillog). Il peut aussi configurer le décompte et les limitations de ces échecs. Exécuter faillog sans argument n'affiche que la liste des échecs des utilisateurs qui ont déjà eu un échec de connexion.

OPTIONS

Les options disponibles pour la commande faillog sont :

-a, --all
    Afficher (ou agir sur) les enregistrements d'erreurs de connexion pour tous les utilisateurs ayant une entrée dans la base de données faillog.

    La liste des utilisateurs peut être limitée avec l'option -u.

    En mode affichage, toujours limitée aux utilisateurs existants, mais l'affichage des entrées d'erreur de connexion est imposé même si elles sont vides.

    Avec les options -l, -m, -r ou -t les enregistrements des utilisateurs sont modifiés, même si l'utilisateur n'existe pas sur le système. C'est utile pour remettre à zéro les enregistrements des utilisateurs qui ont été supprimés ou pour mettre en place une politique préventive pour un ensemble d'utilisateurs.

-h, --help
    Afficher un message d'aide et quitter.

-l, --lock-secs SEC
    Verrouiller le compte pendant SEC secondes après un échec de connexion.

    L'accès en écriture sur /var/log/faillog est nécessaire pour cette option.

-m, --maximum MAX
    Configurer le nombre maximum d'échecs de connexion après lequel le compte sera désactivé à MAX.

    Sélectionner une valeur MAX de 0 a pour effet de ne placer aucune limite sur le nombre d'échecs de connexion.

    Le compteur d'erreurs maximum doit toujours être 0 pour root afin d'éviter les attaques de type déni de service sur le système.

    L'accès en écriture sur /var/log/faillog est nécessaire pour cette option.

-r, --reset
    Remettre à zéro le compteur d'échecs de connexion.

    L'accès en écriture sur /var/log/faillog est nécessaire pour cette option.

-R, --root RÉP_CHROOT
    Appliquer les changements dans le répertoire RÉP_CHROOT et utiliser les fichiers de configuration du répertoire RÉP_CHROOT.

-t, --time JOURS
    Afficher les entrées de faillog plus récentes que JOURS.

-u, --user LOGIN|INTERVALLE
    Afficher l'entrée de faillog ou maintient le décompte et les limitations (suivant que l'option -l, -m ou -r est utilisée) seulement pour les utilisateurs indiqués.

    Les utilisateurs peuvent être précisés par un nom de connexion, un identifiant numérique d'utilisateur ou un INTERVALLE d'utilisateurs. Cet INTERVALLE d'utilisateurs peut être précisé avec des valeurs minimale et maximale (UID_MIN-UID_MAX), seulement une valeur maximale (-UID_MAX) ou une valeur minimale (UID_MIN-).

Quand aucune des options -l, -m ou -r n'est utilisée, faillog affiche l'enregistrement des échecs de connexion des utilisateurs précisés.

AVERTISSEMENTS

faillog n'affiche que les utilisateurs n'ayant pas eu de connexion réussie depuis leur dernier échec. Pour afficher un utilisateur ayant eu une connexion réussie depuis son dernier échec, vous devez explicitement demander cet utilisateur avec l'option -u, ou demander l'affichage de tous les utilisateurs avec l'option -a.

FICHIERS

/var/log/faillog
    Journal des échecs de connexion.

VOIR AUSSI

login(1), faillog(5).